/*--margin--*/

.margin-left-auto {
    margin-left: auto;
}

.margin-right-auto {
    margin-right: auto;
}

.margin-top-auto {
    margin-top: auto;
}

.margin-bottom-auto {
    margin-bottom: auto;
}

.margin-left-0 {
    margin-left: 0;
}

.margin-right-0 {
    margin-right: 0;
}

.margin-top-0 {
    margin-top: 0;
}

.margin-bottom-0 {
    margin-bottom: 0;
}

.margin-left-05 {
    margin-left: .5rem;
}

.margin-right-05 {
    margin-right: .5rem;
}

.margin-top-05 {
    margin-top: .5rem;
}

.margin-bottom-05 {
    margin-bottom: .5rem;
}

.margin-left-1 {
    margin-left: 1rem;
}

.margin-right-1 {
    margin-right: 1rem;
}

.margin-top-1 {
    margin-top: 1rem;
}

.margin-bottom-1 {
    margin-bottom: 1rem;
}

.margin-left-2 {
    margin-left: 2rem;
}

.margin-right-2 {
    margin-right: 2rem;
}

.margin-top-2 {
    margin-top: 2rem;
}

.margin-bottom-2 {
    margin-bottom: 2rem;
}

.margin-left-3 {
    margin-left: 3rem;
}

.margin-right-3 {
    margin-right: 3rem;
}

.margin-top-3 {
    margin-top: 3rem;
}

.margin-bottom-3 {
    margin-bottom: 3rem;
}

.margin-left-4 {
    margin-left: 4rem;
}

.margin-right-4 {
    margin-right: 4rem;
}

.margin-top-4 {
    margin-top: 4rem;
}

.margin-bottom-4 {
    margin-bottom: 4rem;
}

.margin-custom-0 {
    margin: 0;
}

.margin-custom-05 {
    margin: .5rem;
}

.margin-custom-1 {
    margin: 1rem;
}

.margin-custom-2 {
    margin: 2rem;
}

.margin-custom-3 {
    margin: 3rem;
}

.margin-custom-4 {
    margin: 4rem;
}

/*--ps-left--*/
.margin-left-100-ps {
    margin-left: 100%;
}

.margin-left-95-ps {
    margin-left: 95%;
}

.margin-left-90-ps {
    margin-left: 90%;
}

.margin-left-85-ps {
    margin-left: 85%;
}

.margin-left-80-ps {
    margin-left: 80%;
}

.margin-left-75-ps {
    margin-left: 75%;
}

.margin-left-70-ps {
    margin-left: 70%;
}

.margin-left-65-ps {
    margin-left: 65%;
}

.margin-left-60-ps {
    margin-left: 60%;
}

.margin-left-55-ps {
    margin-left: 55%;
}

.margin-left-50-ps {
    margin-left: 50%;
}

.margin-left-45-ps {
    margin-left: 45%;
}

.margin-left-40-ps {
    margin-left: 40%;
}

.margin-left-35-ps {
    margin-left: 35%;
}

.margin-left-30-ps {
    margin-left: 30%;
}

.margin-left-25-ps {
    margin-left: 25%;
}

.margin-left-20-ps {
    margin-left: 20%;
}

.margin-left-15-ps {
    margin-left: 15%;
}

.margin-left-10-ps {
    margin-left: 10%;
}

.margin-left-0-ps {
    margin-left: 0%;
}

/*--ps-right--*/
.margin-right-100-ps {
    margin-right: 100%;
}

.margin-right-95-ps {
    margin-right: 95%;
}

.margin-right-90-ps {
    margin-right: 90%;
}

.margin-right-85-ps {
    margin-right: 85%;
}

.margin-right-80-ps {
    margin-right: 80%;
}

.margin-right-75-ps {
    margin-right: 75%;
}

.margin-right-70-ps {
    margin-right: 70%;
}

.margin-right-65-ps {
    margin-right: 65%;
}

.margin-right-60-ps {
    margin-right: 60%;
}

.margin-right-55-ps {
    margin-right: 55%;
}

.margin-right-50-ps {
    margin-right: 50%;
}

.margin-right-45-ps {
    margin-right: 45%;
}

.margin-right-40-ps {
    margin-right: 40%;
}

.margin-right-35-ps {
    margin-right: 35%;
}

.margin-right-30-ps {
    margin-right: 30%;
}

.margin-right-25-ps {
    margin-right: 25%;
}

.margin-right-20-ps {
    margin-right: 20%;
}

.margin-right-15-ps {
    margin-right: 15%;
}

.margin-right-10-ps {
    margin-right: 10%;
}

.margin-right-0-ps {
    margin-right: 0%;
}

/*--ps-top--*/
.margin-top-100-ps {
    margin-top: 100%;
}

.margin-top-95-ps {
    margin-top: 95%;
}

.margin-top-90-ps {
    margin-top: 90%;
}

.margin-top-85-ps {
    margin-top: 85%;
}

.margin-top-80-ps {
    margin-top: 80%;
}

.margin-top-75-ps {
    margin-top: 75%;
}

.margin-top-70-ps {
    margin-top: 70%;
}

.margin-top-65-ps {
    margin-top: 65%;
}

.margin-top-60-ps {
    margin-top: 60%;
}

.margin-top-55-ps {
    margin-top: 55%;
}

.margin-top-50-ps {
    margin-top: 50%;
}

.margin-top-45-ps {
    margin-top: 45%;
}

.margin-top-40-ps {
    margin-top: 40%;
}

.margin-top-35-ps {
    margin-top: 35%;
}

.margin-top-30-ps {
    margin-top: 30%;
}

.margin-top-25-ps {
    margin-top: 25%;
}

.margin-top-20-ps {
    margin-top: 20%;
}

.margin-top-15-ps {
    margin-top: 15%;
}

.margin-top-10-ps {
    margin-top: 10%;
}

.margin-top-0-ps {
    margin-top: 0%;
}

/*--ps-bottom--*/
.margin-bottom-100-ps {
    margin-bottom: 100%;
}

.margin-bottom-95-ps {
    margin-bottom: 95%;
}

.margin-bottom-90-ps {
    margin-bottom: 90%;
}

.margin-bottom-85-ps {
    margin-bottom: 85%;
}

.margin-bottom-80-ps {
    margin-bottom: 80%;
}

.margin-bottom-75-ps {
    margin-bottom: 75%;
}

.margin-bottom-70-ps {
    margin-bottom: 70%;
}

.margin-bottom-65-ps {
    margin-bottom: 65%;
}

.margin-bottom-60-ps {
    margin-bottom: 60%;
}

.margin-bottom-55-ps {
    margin-bottom: 55%;
}

.margin-bottom-50-ps {
    margin-bottom: 50%;
}

.margin-bottom-45-ps {
    margin-bottom: 45%;
}

.margin-bottom-40-ps {
    margin-bottom: 40%;
}

.margin-bottom-35-ps {
    margin-bottom: 35%;
}

.margin-bottom-30-ps {
    margin-bottom: 30%;
}

.margin-bottom-25-ps {
    margin-bottom: 25%;
}

.margin-bottom-20-ps {
    margin-bottom: 20%;
}

.margin-bottom-15-ps {
    margin-bottom: 15%;
}

.margin-bottom-10-ps {
    margin-bottom: 10%;
}

.margin-bottom-0-ps {
    margin-bottom: 0%;
}

/*--min--*/
/*--ps-min-left--*/
.margin-left-100-ps-min {
    margin-left: -100%;
}

.margin-left-95-ps-min {
    margin-left: -95%;
}

.margin-left-90-ps-min {
    margin-left: -90%;
}

.margin-left-85-ps-min {
    margin-left: -85%;
}

.margin-left-80-ps-min {
    margin-left: -80%;
}

.margin-left-75-ps-min {
    margin-left: -75%;
}

.margin-left-70-ps-min {
    margin-left: -70%;
}

.margin-left-65-ps-min {
    margin-left: -65%;
}

.margin-left-60-ps-min {
    margin-left: -60%;
}

.margin-left-55-ps-min {
    margin-left: -55%;
}

.margin-left-50-ps-min {
    margin-left: -50%;
}

.margin-left-45-ps-min {
    margin-left: -45%;
}

.margin-left-40-ps-min {
    margin-left: -40%;
}

.margin-left-35-ps-min {
    margin-left: -35%;
}

.margin-left-30-ps-min {
    margin-left: -30%;
}

.margin-left-25-ps-min {
    margin-left: -25%;
}

.margin-left-20-ps-min {
    margin-left: -20%;
}

.margin-left-15-ps-min {
    margin-left: -15%;
}

.margin-left-10-ps-min {
    margin-left: -10%;
}

.margin-left-0-ps-min {
    margin-left: 0%;
}

/*--ps-min-right--*/
.margin-right-100-ps-min {
    margin-right: -100%;
}

.margin-right-95-ps-min {
    margin-right: -95%;
}

.margin-right-90-ps-min {
    margin-right: -90%;
}

.margin-right-85-ps-min {
    margin-right: -85%;
}

.margin-right-80-ps-min {
    margin-right: -80%;
}

.margin-right-75-ps-min {
    margin-right: -75%;
}

.margin-right-70-ps-min {
    margin-right: -70%;
}

.margin-right-65-ps-min {
    margin-right: -65%;
}

.margin-right-60-ps-min {
    margin-right: -60%;
}

.margin-right-55-ps-min {
    margin-right: -55%;
}

.margin-right-50-ps-min {
    margin-right: -50%;
}

.margin-right-45-ps-min {
    margin-right: -45%;
}

.margin-right-40-ps-min {
    margin-right: -40%;
}

.margin-right-35-ps-min {
    margin-right: -35%;
}

.margin-right-30-ps-min {
    margin-right: -30%;
}

.margin-right-25-ps-min {
    margin-right: -25%;
}

.margin-right-20-ps-min {
    margin-right: -20%;
}

.margin-right-15-ps-min {
    margin-right: -15%;
}

.margin-right-10-ps-min {
    margin-right: -10%;
}

.margin-right-0-ps-min {
    margin-right: 0%;
}

/*--ps-min-top--*/
.margin-top-100-ps-min {
    margin-top: -100%;
}

.margin-top-95-ps-min {
    margin-top: -95%;
}

.margin-top-90-ps-min {
    margin-top: -90%;
}

.margin-top-85-ps-min {
    margin-top: -85%;
}

.margin-top-80-ps-min {
    margin-top: -80%;
}

.margin-top-75-ps-min {
    margin-top: -75%;
}

.margin-top-70-ps-min {
    margin-top: -70%;
}

.margin-top-65-ps-min {
    margin-top: -65%;
}

.margin-top-60-ps-min {
    margin-top: -60%;
}

.margin-top-55-ps-min {
    margin-top: -55%;
}

.margin-top-50-ps-min {
    margin-top: -50%;
}

.margin-top-45-ps-min {
    margin-top: -45%;
}

.margin-top-40-ps-min {
    margin-top: -40%;
}

.margin-top-35-ps-min {
    margin-top: -35%;
}

.margin-top-30-ps-min {
    margin-top: -30%;
}

.margin-top-25-ps-min {
    margin-top: -25%;
}

.margin-top-20-ps-min {
    margin-top: -20%;
}

.margin-top-15-ps-min {
    margin-top: -15%;
}

.margin-top-10-ps-min {
    margin-top: -10%;
}

.margin-top-0-ps-min {
    margin-top: 0%;
}

/*--ps-min-bottom--*/
.margin-bottom-100-ps-min {
    margin-bottom: -100%;
}

.margin-bottom-95-ps-min {
    margin-bottom: -95%;
}

.margin-bottom-90-ps-min {
    margin-bottom: -90%;
}

.margin-bottom-85-ps-min {
    margin-bottom: -85%;
}

.margin-bottom-80-ps-min {
    margin-bottom: -80%;
}

.margin-bottom-75-ps-min {
    margin-bottom: -75%;
}

.margin-bottom-70-ps-min {
    margin-bottom: -70%;
}

.margin-bottom-65-ps-min {
    margin-bottom: -65%;
}

.margin-bottom-60-ps-min {
    margin-bottom: -60%;
}

.margin-bottom-55-ps-min {
    margin-bottom: -55%;
}

.margin-bottom-50-ps-min {
    margin-bottom: -50%;
}

.margin-bottom-45-ps-min {
    margin-bottom: -45%;
}

.margin-bottom-40-ps-min {
    margin-bottom: -40%;
}

.margin-bottom-35-ps-min {
    margin-bottom: -35%;
}

.margin-bottom-30-ps-min {
    margin-bottom: -30%;
}

.margin-bottom-25-ps-min {
    margin-bottom: -25%;
}

.margin-bottom-20-ps-min {
    margin-bottom: -20%;
}

.margin-bottom-15-ps-min {
    margin-bottom: -15%;
}

.margin-bottom-10-ps-min {
    margin-bottom: -10%;
}

.margin-bottom-0-ps-min {
    margin-bottom: 0%;
}